### Function

# Atk Role for_name

#### Declaration [src]

    AtkRole
    atk_role_for_name (
      const gchar* name
    )

#### Description [src]

Get the `AtkRole` type corresponding to a rolew name.

#### Parameters

`name`

  Type: `const gchar*`

  A string which is the (non-localized) name of an ATK role.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtkRole`

The `AtkRole` enumerated type corresponding to the specified name, or #ATK_ROLE_INVALID if no matching role is found.